Bug 1309099 - Cache-invalidation feature state not persistent [NEEDINFO]
Cache-invalidation feature state not persistent
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: upcall (Show other bugs)
3.7.6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Soumya Koduri
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 15:15 EST by Christian Petersen
Modified: 2017-03-08 05:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 05:52:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jthottan: needinfo? (cpetersen4)


Attachments (Terms of Use)

  None (edit)
Description Christian Petersen 2016-02-16 15:15:43 EST
Description of problem:  cache-invalidation feature of the cluster is turned off when restarting the gluster cluster


Version-Release number of selected component (if applicable):
3.7.6

How reproducible:  Every time


Steps to Reproduce:
1. stop gluster cluster
2. start gluster cluster
3. type in:  gluster v info

Actual results:
cache-invalidation is set to off

Expected results:
cache-invalidation should still be on

Additional info:
I am using gluster in conjunction with nfs-ganesha
Comment 1 Jiffin 2016-02-23 07:14:07 EST
Can u check the value for that option in /var/lib/glusterd/vols/<vol name>/info before and restarting the cluster?
Comment 2 Kaushal 2017-03-08 05:52:04 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.